Bug 864513 - Error on click of "logs" button
Error on click of "logs" button
Status: CLOSED ERRATA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity low
: beta6
: ---
Assigned To: Tzu-Mainn Chen
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 09:29 EDT by Rehana
Modified: 2012-12-04 10:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Log filter page did not display. An error displayed instead: "undefined method `name' for nil:NilClass." This fix allows for possibly deleted pool_family/pool associations. Log filter page now displays.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 10:08:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error (25.70 KB, image/png)
2012-10-16 18:33 EDT, Shveta
no flags Details

  None (edit)
Description Rehana 2012-10-09 09:29:53 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Login to conductor
2.create new CRZ/cloud
3.Launch instance on it
4.Stop the instance
5.Delete the CRZ/Cloud
6.Go to monitor --> logs
  
Actual results:
displayed error "undefined method `name' for nil:NilClass "

Expected results:
Should display the log filter page

Additional info:
rpm -qa | grep aeolus
aeolus-conductor-doc-0.13.16-1.el6cf.noarch
rubygem-aeolus-cli-0.7.3-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-configure-2.8.8-1.el6cf.noarch
aeolus-conductor-0.13.16-1.el6cf.noarch
aeolus-all-0.13.16-1.el6cf.noarch
aeolus-conductor-daemons-0.13.16-1.el6cf.noarch




******************rails log*************


Started GET "/conductor/logs" for 10.70.1.25 at Tue Oct 09 06:18:51 -0400 2012
  Processing by LogsController#index as HTML
  User Load (0.5ms)  SELECT "users".* FROM "users" WHERE "users"."id" = 1 LIMIT 1
  PermissionSession Load (0.5ms)  SELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 25 LIMIT 1
  CACHE (0.0ms)  SELECT "permission_sessions".* FROM "permission_sessions" WHERE "permission_sessions"."id" = 25 LIMIT 1
  BasePermissionObject Load (0.4ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.8ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=25 and
 privileges.target_type='PoolFamily' and
 privileges.action='view')
  PoolFamily Load (0.3ms)  SELECT id, name FROM "pool_families" ORDER BY pool_families.name
  Pool Load (0.4ms)  SELECT "pools".* FROM "pools" WHERE ("pools".pool_family_id IN (1,2))
  CACHE (0.0ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.8ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=25 and
 privileges.target_type='Provider' and
 privileges.action='view')
  Provider Load (0.4ms)  SELECT id, name FROM "providers" ORDER BY providers.name
  ProviderAccount Load (0.4ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE ("provider_accounts".provider_id IN (7,5,3,6,8,9,4,10,1,2))
  User Load (0.3ms)  SELECT id, username FROM "users" ORDER BY username
  Event Load (4.1ms)  SELECT "events".* FROM "events" WHERE (event_time between '2012-10-02 00:00:00' and '2012-10-09 23:59:59' and source_type in ('Deployment','Instance')) ORDER BY event_time asc
  Instance Load (1.1ms)  SELECT "instances".* FROM "instances" WHERE ("instances"."id" IN (29,28,27,26,25,24,23,21,20,19,18,17,16,15,14,13,12,11,10,32,31,30,9,8,7,6,5,4,3,2,1))
  Deployment Load (0.7ms)  SELECT "deployments".* FROM "deployments" WHERE ("deployments"."id" IN (29,28,27,26,25,24,23,21,20,19,18,17,16,15,14,13,12,11,10,32,31,30,9,8,7,6,5,4,3,2,1))
  PoolFamily Load (0.5ms)  SELECT "pool_families".* FROM "pool_families" WHERE ("pool_families"."id" IN (1,2))
  CACHE (0.0ms)  SELECT "pool_families".* FROM "pool_families" WHERE ("pool_families"."id" IN (1,2))
  Pool Load (0.4ms)  SELECT "pools".* FROM "pools" WHERE ("pools"."id" IN (1,2,5,3))
  CACHE (0.0ms)  SELECT "pools".* FROM "pools" WHERE ("pools"."id" IN (1,2,5,3))
  User Load (0.4ms)  SELECT "users".* FROM "users" WHERE ("users"."id" = 1)
  CACHE (0.0ms)  SELECT "users".* FROM "users" WHERE ("users"."id" = 1)
  CACHE (0.0ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.7ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=25 and
 privileges.target_type='Deployment' and
 privileges.action='view')
  CACHE (0.0ms)  SELECT "base_permission_objects".* FROM "base_permission_objects" WHERE "base_permission_objects"."name" = 'general_permission_scope' LIMIT 1
  SQL (1.6ms)  SELECT COUNT(DISTINCT "derived_permissions"."id") FROM "derived_permissions" LEFT OUTER JOIN "roles" ON "roles"."id" = "derived_permissions"."role_id" LEFT OUTER JOIN "entities" ON "entities"."id" = "derived_permissions"."entity_id" LEFT OUTER JOIN "session_entities" ON "session_entities"."entity_id" = "entities"."id" LEFT OUTER JOIN "privileges" ON "privileges"."role_id" = "roles"."id" WHERE ("derived_permissions".permission_object_id = 1 AND "derived_permissions".permission_object_type = 'BasePermissionObject') AND (session_entities.user_id=1 and
 session_entities.permission_session_id=25 and
 privileges.target_type='Instance' and
 privileges.action='view')
  Deployment Load (0.6ms)  SELECT "deployments".* FROM "deployments"
  Instance Load (0.9ms)  SELECT "instances".* FROM "instances"
Rendered layouts/_nav_history.html.haml (0.1ms)
Rendered layouts/_pretty_filter_toggle.html.haml (0.7ms)
  Instance Load (0.8ms)  SELECT "instances".* FROM "instances" INNER JOIN "provider_accounts" ON "provider_accounts"."id" = "instances"."provider_account_id" LIMIT 1
  ProviderAccount Load (0.4ms)  SELECT "provider_accounts".* FROM "provider_accounts" WHERE "provider_accounts"."id" = 3 LIMIT 1
  Pool Load (0.4ms)  SELECT "pools".* FROM "pools" WHERE "pools"."id" = 3 LIMIT 1
Rendered layouts/_filter_table.html.haml (9.9ms)
Rendered logs/_filter_view.html.haml (26.3ms)
Rendered logs/index.html.haml within layouts/application (29.4ms)
undefined method `name' for nil:NilClass
/usr/share/aeolus-conductor/app/views/logs/_filter_view.html.haml:32:in `_app_views_logs__filter_view_html_haml__168208765_69848562503680_3428030'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:345:in `call'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:345:in `capture_haml_without_haml_xss'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:569:in `with_haml_buffer'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:341:in `capture_haml_without_haml_xss'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/xss_mods.rb:61:in `capture_haml'
 /usr/share/aeolus-conductor/app/views/layouts/_filter_table.html.haml:25:in `_app_views_layouts__filter_table_html_haml__523358878_69848570746080_512559028'
 /usr/share/aeolus-conductor/app/views/layouts/_filter_table.html.haml:25:in `collect'
 /usr/share/aeolus-conductor/app/views/layouts/_filter_table.html.haml:25:in `_app_views_layouts__filter_table_html_haml__523358878_69848570746080_512559028'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:148:in `call'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:148:in `form_tag_without_haml_xss'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:255:in `with_tabs'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:148:in `form_tag_without_haml_xss'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:591:in `call'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:591:in `haml_bind_proc'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:345:in `call'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:345:in `capture_haml_without_haml_xss'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:569:in `with_haml_buffer'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:341:in `capture_haml_without_haml_xss'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/xss_mods.rb:61:in `capture_haml'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:88:in `capture'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/helpers/form_tag_helper.rb:571:in `form_tag_in_block'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/helpers/form_tag_helper.rb:52:in `form_tag_without_haml'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:151:in `form_tag_without_haml_xss'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/xss_mods.rb:122:in `form_tag'
 /usr/share/aeolus-conductor/app/views/layouts/_filter_table.html.haml:1:in `_app_views_layouts__filter_table_html_haml__523358878_69848570746080_512559028'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:135:in `send'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:135:in `render'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:54:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:127:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:333:in `render_partial'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:262:in `render'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:260:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:378:in `_render_partial'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/rendering.rb:22:in `render_without_haml'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:11:in `render'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:90:in `non_haml'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:11:in `render'
 /usr/share/aeolus-conductor/app/helpers/application_helper.rb:81:in `filter_table'
 /usr/share/aeolus-conductor/app/views/logs/_filter_view.html.haml:25:in `_app_views_logs__filter_view_html_haml__168208765_69848562503680_3428030'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:135:in `send'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:135:in `render'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:54:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:127:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:333:in `render_partial'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:262:in `render'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:260:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/partials.rb:378:in `_render_partial'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/rendering.rb:22:in `render_without_haml'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:11:in `render'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers.rb:90:in `non_haml'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:11:in `render'
 /usr/share/aeolus-conductor/app/views/logs/index.html.haml:11:in `_app_views_logs_index_html_haml__1040230620_69848562570880_0'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:135:in `send'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:135:in `render'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:54:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/template.rb:127:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/rendering.rb:59:in `_render_template'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/rendering.rb:56:in `_render_template'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_view/render/rendering.rb:26:in `render_without_haml'
 /usr/lib/ruby/gems/1.8/gems/haml-3.1.2/lib/haml/helpers/action_view_mods.rb:13:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:115:in `_render_template'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:109:in `render_to_body'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/renderers.rb:47:in `render_to_body'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/compatibility.rb:55:in `render_to_body'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:102:in `render_to_string'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:93:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rendering.rb:17:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:40:in `render'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/core_ext/benchmark.rb:5:in `ms'
 /usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/core_ext/benchmark.rb:5:in `ms'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:40:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:78:in `cleanup_view_runtime'
 /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/railties/controller_runtime.rb:15:in `cleanup_view_runtime'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:39:in `render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:10:in `default_render'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:5:in `send_action'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:150:in `process_action'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rendering.rb:11:in `process_action'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:18:in `process_action'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:451:in `_run__350901590__process_action__1597748404__callbacks'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `send'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `send'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `run_callbacks'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:17:in `process_action'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rescue.rb:17:in `process_action'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:119:in `process'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:41:in `process'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:138:in `dispatch'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:178:in `action'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `dispatch'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:27:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:150:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:93:in `recognize'
 /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:68:in `optimized_each'
 /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:92:in `recognize'
 /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:141:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:493:in `call'
 /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:35:in `call'
 /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `catch'
 /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `call'
 /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/lib/sass/../sass/plugin/rack.rb:54:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/head.rb:14:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/methodoverride.rb:24:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-restful_submit-1.2.1/lib/rack/rack-restful_submit.rb:29:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/flash.rb:182:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/cookies.rb:302:in `call'
 /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:32:in `call'
 /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/query_cache.rb:28:in `cache'
 /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:12:in `cache'
 /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:31:in `call'
 /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/connection_pool.rb:354:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:46:in `call'
 /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:44:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/sendfile.rb:102:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'
 /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'
 /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/rack/logger.rb:13:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/runtime.rb:17:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/lock.rb:34:in `call'
 /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:168:in `call'
 /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
 /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
 /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:52:in `call'
 /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `each'
 /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `call'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:84:in `pre_process'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `catch'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `pre_process'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:57:in `process'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:42:in `receive_data'
 /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run_machine'
 /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/backends/base.rb:61:in `start'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/server.rb:159:in `start'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/controllers/controller.rb:86:in `start'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `send'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `run_command'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:151:in `run!'
 /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/bin/thin:6
 /usr/bin/thin:19:in `load'
 /usr/bin/thin:19
Rendered layouts/_new_notification.html.haml (0.7ms)
Rendered layouts/_footer.html.haml (0.3ms)
Rendered layouts/converge-ui/_header_layout.haml (0.2ms)
Rendered layouts/converge-ui/_base.haml (0.8ms)
Rendered layouts/converge-ui/shell_layout.haml (1.9ms)
Rendered layouts/error.html.haml within layouts/application (19.9ms)
Completed 500 Internal Server Error in 677ms (Views: 20.8ms | ActiveRecord: 1.5ms)
Comment 3 Tzu-Mainn Chen 2012-10-10 12:49:57 EDT
Pushed to master and 1.1:

commit 6aa50fb452ffca987fc778536876a1a3490d8729
Author: Tzu-Mainn Chen <tzumainn@redhat.com>
Date:   Tue Oct 9 10:11:49 2012 -0400

    BZ864513 allow for possibly deleted pool_family/pool associations
    (cherry picked from commit 224f83b3975f63a6f410a15c4bd8057ecdbd3616)
Comment 5 Shveta 2012-10-16 18:33:17 EDT
Created attachment 628453 [details]
error

Still see the error on clicking the last page.
Created a cloud ,CRZ , launched instance .
Stopped instance , deleted image , CRZ and cloud.
Clicked on logs and last page , see the error

rpm -qa|grep aeolus
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.13.18-1.el6cf.noarch
rubygem-aeolus-cli-0.7.4-1.el6cf.noarch
aeolus-conductor-doc-0.13.18-1.el6cf.noarch
aeolus-all-0.13.18-1.el6cf.noarch
aeolus-configure-2.8.9-1.el6cf.noarch
aeolus-conductor-0.13.18-1.el6cf.noarch
Comment 6 Tzu-Mainn Chen 2012-10-17 13:13:07 EDT
It looks like this patch was built in a later version of conductor, version 0.13.19 or higher; can you test again with a newer version?
Comment 7 Shveta 2012-10-17 18:02:51 EDT
Verified on puddle 5


rpm -qa|grep aeolus
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.13.20-1.el6cf.noarch
rubygem-aeolus-cli-0.7.5-1.el6cf.noarch
aeolus-conductor-doc-0.13.20-1.el6cf.noarch
aeolus-configure-2.8.9-1.el6cf.noarch
aeolus-all-0.13.20-1.el6cf.noarch
aeolus-conductor-0.13.20-1.el6cf.noarch
Comment 9 errata-xmlrpc 2012-12-04 10:08:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1516.html

Note You need to log in before you can comment on or make changes to this bug.